import request from "./index";

//获取字典大类
export const getDictionaryType = () => request({
    url:'/data/api-s/dic/findTypeList',
    method:'get'
});

//通过类型分页获取字典列表
export const getDictionaryListByType = (data:any) => request({
    url:'/data/api-s/dic/findByPage',
    method:'post',
    data
});

//保存字典信息
export const saveDictionaryData = (data:any) => request({
    url:'/data/api-s/dic/save',
    method:'post',
    data
});

//字典删除
export const deleteDictionary = (data:any) => request({
    url:'/data/api-s/dic/delete',
    method:'post',
    data
});

export const findDictionaryByType = () => {
  return request({
    url: "/saas/api-s/dictionary/findByType",
    method: "get"
  });
};

export const findDictionaryByID = (query: any) => {
  return request({
    url: "/data/api-v/dictionary/findByParentId",
    method: "get",
    params: query
  });
};